package server

import "time"

type Current struct {
	Sunrise     time.Time `json:"sunrise"`
	Sunset      time.Time `json:"sunset"`
	Temperature float32   `json:"temperature"`
	FeelsLike   float32   `json:"feels_like"`
	Pressure    int       `json:"pressure"`
	Humidity    int       `json:"humidity"`
	DewPoint    float32   `json:"dew_point"`
	UVI         float32   `json:"uvi"`
	Clouds      int       `json:"clouds"`
	Visibility  int       `json:"visibility"`
	WindSpeed   float32   `json:"wind_speed"`
	WindDegree  int       `json:"wind_degree"`
	Description string    `json:"description"`
	Icon        string    `json:"icon"`
}

type Daily struct {
	Date                       time.Time `json:"date"`
	Sunrise                    time.Time `json:"sunrise"`
	Sunset                     time.Time `json:"sunset"`
	TemperatureDay             float32   `json:"temperature_day"`
	TemperatureNight           float32   `json:"temperature_night"`
	TemperatureMin             float32   `json:"temperature_min"`
	TemperatureMax             float32   `json:"temperature_max"`
	FeelsLikeDay               float32   `json:"feels_like_day"`
	FeelsLikeNight             float32   `json:"feels_like_night"`
	Pressure                   int       `json:"pressure"`
	Humidity                   int       `json:"humidity"`
	DewPoint                   float32   `json:"dew_point"`
	UVI                        float32   `json:"uvi"`
	Clouds                     int       `json:"clouds"`
	Visibility                 int       `json:"visibility"`
	WindSpeed                  float32   `json:"wind_speed"`
	WindDegree                 int       `json:"wind_degree"`
	Description                string    `json:"description"`
	Icon                       string    `json:"icon"`
	ProbabilityOfPrecipitation float32   `json:"probability_of_precipitation"`
}
